1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-03-24 22:04:36 +02:00
Files
coreutils/tests/misc/pathchk1
Jim Meyering 112efa81f2 Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'.  Otherwise, those many tests could exit with
improper exit status when exiting via e.g., a trapped interrupt.
Thanks to a report from Bob Proulx.
2004-06-23 15:07:00 +00:00

33 lines
751 B
Bash
Executable File

#!/bin/sh
# ensure that pathchk exits nonzero in one particular case where it didn't
if test "$VERBOSE" = yes; then
set -x
pathchk --version
fi
PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
mkdir -p $tmp || framework_failure=1
cd $tmp || framework_failure=1
touch file || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
(exit 1); exit 1
fi
fail=0
# This should exit nonzero. Before 2.0.13, it gave a diagnostic,
# but exited successfully.
pathchk file/x > /dev/null 2>&1 && fail=1
(exit $fail); exit $fail